/*  message.h -- display warnings and ask y/N questions
    Copyright (C) 2008  SEIKO EPSON CORPORATION

    This file is part of "Custom Paper Size Editor".

    "Custom Paper Size Editor" is free software.
    You can redistribute it and/or modify it under the terms of the GNU
    General Public License as published by the Free Software Foundation;
    either version 2 of the License or at your option any later version.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY;  without even the implied warranty of FITNESS
    FOR A PARTICULAR PURPOSE or MERCHANTABILITY.
    See the GNU General Public License for more details.

    You should have received a verbatim copy of the GNU General Public
    License along with this program; if not, write to:

        Free Software Foundation, Inc.
        59 Temple Place, Suite 330
        Boston, MA  02111-1307  USA
 */


#ifndef INCLUDED_MESSAGE_H
#define INCLUDED_MESSAGE_H

#include "generix.h"

enum {
  MSG_TYPE_OKAY,
  MSG_TYPE_YES_NO,
};

enum {
  MSG_CLOBBER_SETTINGS,
  MSG_BAD_FILE,
  MSG_NAME_EXISTS,
  MSG_TOO_MANY_NAMES,
  MSG_MISSING_ITEMS,
  MSG_NO_SELECTION,
  MSG_REALLY_DELETE,
  MSG_REALLY_SAVE,
  MSG_REALLY_APPLY,
  MSG_REALLY_SAVE_AND_APPLY,
  MSG_SAVE_FAILURE,
  MSG_APPLY_FAILURE,
  MSG_APPLY_SUCCESS,
  MSG_REALLY_QUIT,
  MSG_NO_PPDFILE_SELECTED,
  MSG_NO_PRINTER_SELECTED,
  MSG_NO_PRINTERS_FOUND,
  MSG_LOAD_PPD_FILE,
  MSG_REGISTER_ENTRY,
  MAX_MSG			/* terminator */
};

typedef struct
{
  gint type;
  gint id;
  const gchar *text;

} cpse_dialog_message;


gint run_dialog (gint type, gint msg_id);


#ifndef CPSE_GTK

enum {
  MSG_RESPONSE_NO,
  MSG_RESPONSE_YES,
  MSG_RESPONSE_OKAY,
};

#endif /* !defined (CPSE_GTK) */

#endif /* !defined (INCLUDED_MESSAGE_H) */
