/*  ppd.h -- PPD file handling
    Copyright (C) 2008  SEIKO EPSON CORPORATION

    This file is part of "Custom Paper Size Editor".

    "Custom Paper Size Editor" is free software.
    You can redistribute it and/or modify it under the terms of the GNU
    General Public License as published by the Free Software Foundation;
    either version 2 of the License or at your option any later version.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY;  without even the implied warranty of FITNESS
    FOR A PARTICULAR PURPOSE or MERCHANTABILITY.
    See the GNU General Public License for more details.

    You should have received a verbatim copy of the GNU General Public
    License along with this program; if not, write to:

        Free Software Foundation, Inc.
        59 Temple Place, Suite 330
        Boston, MA  02111-1307  USA
 */


#ifndef INCLUDED_PPD_H
#define INCLUDED_PPD_H


#include "model.h"

gboolean ppd_open  (const gchar *path, const gchar *printer,
		    CPSEModel *model);
gboolean ppd_save  (const gchar *path, const CPSEModel *model);
gboolean ppd_apply (const gchar *path, const gchar *printer);

gboolean ppd_is_valid_text (const gchar *text);

#endif /* !defined (INCLUDED_PPD_H) */
