# eplq-cups.spec.in -- an automake template for a RPM Spec file

#    Driver for EPSON LQ Series SIDM Printers
#    Copyright (C) Seiko Epson Corporation 2007,2008,2010.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License or
#    any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

# macro definitions.

%define name   Driver for EPSON LQ Series SIDM Printers
%define pkg    eplq-cups
%define ver    1.1.4
%define rel    1
%define vendor Seiko Epson Corporation

# general package information

Summary:    %{name}
Name:       %{pkg}
Version:    %{ver}
Release:    %{rel}
License:    GPL
Group:      Applications/System
Source:     %{pkg}-%{ver}.tar.gz
Vendor:     %{vendor}
Packager:   %{vendor}
URL:        http://www.epson.com
Provides:   %{pkg}
BuildRoot: %{_tmppath}/%{pkg}-%{ver}-%{rel}-root
Requires:	cups
BuildRequires:	cups-devel

%description
Supported Models
 - EPSON LQ-2680K
 - EPSON LQ-690K
 - EPSON LQ-730K
 - EPSON LQ-2190
 - EPSON VP-1900
 - EPSON LQ-1900KIIH
 - EPSON LQ-2590H
 - EPSON LQ-2190C

%prep
%setup -q

%build
%configure \
	--prefix=/usr		\
	--mandir=\${prefix}/share/man	\
	--infodir=\${prefix}/share/info	\
	--sysconfdir=/etc		\
	--sharedstatedir=/var
make


%install
    rm -rf ${RPM_BUILD_ROOT}
    %{__make} install-strip DESTDIR=${RPM_BUILD_ROOT}


%clean
    %{__make} distclean || true
    rm -rf ${RPM_BUILD_ROOT}


# rpm (un)installation scripts

#%pre

#%post

#%preun

#%postun


# package contents

%files
%defattr(-,root,root)

%doc	README
#%doc	AUTHORS
%doc	COPYING
#%doc	ChangeLog
%doc	INSTALL
%doc	NEWS
%doc	COPYING.GFDL
%doc    UsersManual.en.html
%doc    LQ-2680K.html
%doc    LQ-690K.html
%doc    LQ-730K.html
%doc    LQ-2190.html
%doc    VP-1900.html
%doc    LQ-1900KIIH.html
%doc    LQ-2590H.html
%doc    LQ-2190C.html
%doc    image

%dir %{_prefix}/lib/cups/filter
%{_prefix}/lib/cups/filter/rastertoeplq

%dir %{_prefix}/share/cups/model
%{_prefix}/share/cups/model/eplq2680k.ppd
%{_prefix}/share/cups/model/eplq690k.ppd
%{_prefix}/share/cups/model/eplq730k.ppd
%{_prefix}/share/cups/model/eplq2190.ppd
%{_prefix}/share/cups/model/epvp1900.ppd
%{_prefix}/share/cups/model/eplq1900kiih.ppd
%{_prefix}/share/cups/model/eplq2590h.ppd
%{_prefix}/share/cups/model/eplq2190c.ppd

# significant packaging changes

%changelog
* Fri Dec 03 2010 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.1.4
	Add LQ-2190C support.
	
* Thu Sep 16 2010 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.1.3
	Add LQ-2590H support.
	
* Wed Jun 23 2010 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.1.2
	Add LQ-1900KIIH support.
	
* Wed Apr 21 2010 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.1.1
	Add VP-1900 support.
	
* Mon Feb 22 2010 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.1.0
	Add LQ-2190 support.

* Fri Aug 14 2008 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.0.2
	Add LQ-730K support.

* Fri Mar 14 2008 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.0.1
	Add LQ-690K support, and small bug fix.

* Fri Dec 14 2007 Seiko Epson Corporation <http://www.epson.com>
- Ver 1.0.0
	First release for LQ-2680K.
