/*! \file rastertoeplq.h

  \brief ESC/P2 filter for CUPS raster data.

  \author
    Copyright (C) Seiko Epson Corporation 2007.

    Driver for EPSON LQ Series SIDM Printers

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef    rastertoeplq_h
#define    rastertoeplq_h

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*! \brief raster to EPSON LQ command

  CUPS raster data convert to ESC/P2 command (bitmap)

  \param  fd          input file descpritor
  \param  num_options number of items in the CUPS option list.
  \param  options     CUPS option list
  \return             error status
  \retval 0           completed
  \retval other       error status

 */
int rastertoeplq( int fd, int num_options, cups_option_t *options );

#endif	/* rastertoeplq_h */
